Method: tasks.subscribe

Subscribes to task updates for tasks not in a terminal state. Returns UnsupportedOperationError if the task is already in a terminal state (completed, failed, canceled, rejected).

HTTP request

GET https://ces.googleapis.com/tasks/{id}:subscribe

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
id

string

Required. The resource ID of the task to subscribe to.

Query parameters

Parameters
tenant

string

Optional. Tenant ID, provided as a path parameter.

Request body

The request body must be empty.

Response body

If successful, the response body contains a stream of StreamResponse instances.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.